Starmade | unexpected behavior of infinite shops and credits
Closed, FinishedPublic

Description

There's a small issue with the 'free' blueprints.

You can only buy the free blueprints providing you have enough cash to actually buy one. If a blueprint costs 200 mil and you have 100 mil, you'll get the error message "cannot spawn blueprint: not enough credits".

It still checks if you have the money but it doesn't deduct the money after purchase, it should not check for your money so you could spawn anything you want without having the money.

Details

Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.19603 (Dev)
Issue Type
Bug
Category
Engine
First occurrence (version)
0.1611
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce
  1. enable "buy blueprints with credits"
  2. make shop infinite
  3. try to buy a blueprint that costs more than what you have
  4. can't buy it, not enough credits even though infinite shop blueprints should be free
Tester information (Internal use only)

Not fixed, this is an old issue and is about the option "buy blueprints with credits" enabled:

  1. enable that setting
  2. make shop infinite
  3. try to buy a blueprint that costs more than what you have
  4. can't buy it, not enough credits even though infinite shop blueprints should be free

Side note, it also spawns the ship, should it give you a filled meta blueprint item instead?

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Jun 10 2015, 10:24 AM
lancake changed Category from none/unspecified to Engine.
lancake changed Affected Gamemode(s) from none/unspecified to Single and Multi.
lancake set First occurrence (version) to 0.1611.
lancake changed Reproducible from uncertain to Yes.
lancake set Last tested (version) to 0.19247 (Dev).
lancake edited a custom field.
lancake edited Serverconfig (server.cfg). (Show Details)
lancake edited Clientconfig (settings.cfg). (Show Details)
lancake added a subscriber: lancake.
lancake changed the task status from "Open" to "In Queue (Game)".Jun 13 2015, 8:41 AM
AndyP shifted this object from the S1 Public space to the S3 Starmade space.Aug 11 2015, 10:37 PM
AndyP changed the edit policy from "Starmade (Project)" to "All Users".
AndyP set Issue Type to Bug.
AndyP set OS-Specific to No.
AndyP set Hardware-Specific to No.
AndyP set Video Card Vendor to uncertain.
lancake claimed this task.Sep 21 2015, 10:48 AM
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 9 2016, 8:53 PM
schema added a subscriber: schema.

will also fill up blocks of blueprint automatically

lancake changed the task status from "Resolved" to "In Queue (Game)".Mar 10 2016, 3:05 PM
lancake changed Last tested (version) from 0.19247 (Dev) to 0.19602 (Dev).
lancake edited Steps to reproduce. (Show Details)
lancake edited Tester information (Internal use only). (Show Details)

-QA Testing-

Not fixed, this is an old issue and is about the option "buy blueprints with credits" enabled:

  1. enable that setting
  2. make shop infinite
  3. try to buy a blueprint that costs more than what you have
  4. can't buy it, not enough credits even though infinite shop blueprints should be free

Side note, it also spawns the ship, should it give you a filled meta blueprint item instead?

oh spawn the ship is fine. i was missunderstanding the issue

schema changed the task status from "In Queue (Game)" to "Resolved".Mar 12 2016, 4:14 PM
lancake closed this task as "Closed".Mar 12 2016, 6:28 PM

-QA Testing-

Fix confirmed.

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptMar 12 2016, 6:28 PM
lancake changed Last tested (version) from 0.19602 (Dev) to 0.19603 (Dev).Mar 12 2016, 6:28 PM

Add Comment